---
apiVersion: cilium.io/v2alpha1
kind: CiliumBGPPeeringPolicy
metadata:
  name: l3-policy
spec:
  nodeSelector:
    matchLabels:
      kubernetes.io/os: linux
  virtualRouters:
    - localASN: 64513
      exportPodCIDR: false
      serviceSelector:
        matchExpressions:
          - key: thisFakeSelector
            operator: NotIn
            values:
              - will-match-and-announce-all-services
      neighbors:
        - peerAddress: 192.168.1.1/24
          peerASN: 64512
---
apiVersion: "cilium.io/v2alpha1"
kind: CiliumLoadBalancerIPPool
metadata:
  name: "primary-pool"
spec:
  blocks:
    - cidr: 10.0.1.0/22
  serviceSelector:
    matchExpressions:
      - { key: allservices, operator: NotIn, values: ["will-be-announced"] }
---
# yaml-language-server: $schema=https://kubernetes-schemas.ok8.sh/cilium.io/ciliumbgpadvertisement_v2alpha1.json
apiVersion: "cilium.io/v2alpha1"
kind: CiliumBGPAdvertisement
metadata:
  name: cilium-bgp-advertisement
  labels:
    advertise: bgp
spec:
  advertisements:
    - advertisementType: "PodCIDR"
    - advertisementType: "Service"
      service:
        addresses:
          - LoadBalancerIP
      selector:
        matchExpressions:
          - { key: somekey, operator: NotIn, values: ["never-used-value"] }
---
# yaml-language-server: $schema=https://kubernetes-schemas.ok8.sh/cilium.io/ciliumbgppeerconfig_v2alpha1.json
apiVersion: "cilium.io/v2alpha1"
kind: CiliumBGPPeerConfig
metadata:
  name: opnsense-peer-config-ipv4
spec:
  families:
    - afi: ipv4
      safi: unicast
      advertisements:
        matchLabels:
          advertise: "bgp"

# ---
# # yaml-language-server: $schema=https://kubernetes-schemas.ok8.sh/cilium.io/ciliumbgppeerconfig_v2alpha1.json
# apiVersion: "cilium.io/v2alpha1"
# kind: CiliumBGPPeerConfig
# metadata:
#   name: cilium-bgp-peer-config-ipv6
# spec:
#   ebgpMultihop: 255
#   families:
#     - afi: ipv6
#       safi: unicast
#       advertisements:
#         matchLabels:
#           advertise: "bgp"
---
# yaml-language-server: $schema=https://kubernetes-schemas.ok8.sh/cilium.io/ciliumbgpclusterconfig_v2alpha1.json
apiVersion: "cilium.io/v2alpha1"
kind: CiliumBGPClusterConfig
metadata:
  name: cilium-bgp-cluster-config
spec:
  nodeSelector:
    matchLabels:
      kubernetes.io/os: linux
  bgpInstances:
    - name: "cilium"
      localASN: 64513
      peers:
        - name: "opnsense"
          peerASN: 64512
          peerAddress: "10.0.0.1"
          peerConfigRef:
            name: "opnsense-peer-config-ipv4"